summaryrefslogtreecommitdiffstats
path: root/source/l/v4l-utils/v4l-utils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/v4l-utils/v4l-utils.SlackBuild')
-rwxr-xr-xsource/l/v4l-utils/v4l-utils.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/v4l-utils/v4l-utils.SlackBuild b/source/l/v4l-utils/v4l-utils.SlackBuild
index 17982dc19..ed61bf3ed 100755
--- a/source/l/v4l-utils/v4l-utils.SlackBuild
+++ b/source/l/v4l-utils/v4l-utils.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=v4l-utils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -79,6 +79,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Revert patch that breaks DVB:
+zcat $CWD/v4l-utils.c82608ca1595427c2bdbd4abb9aca9163e1df60a.patch.gz | patch -p1 -R --verbose || exit 1
+
# qvidcap requires Qt5 - quit disabling it once we have that.
# qv4l2 requires Qt5 - quit disabling it once we have that.